// gnome.xonotic.in.ua

models/001/teleporter/el_jumpp
{
	{
		map "models/001/teleporter/el_basefx.tga"
		tcmod scale 1 1
		rgbgen vertex
	}
	{
		map "models/001/teleporter/el_rota.tga"
		blendfunc add
		rgbgen vertex
		tcmod rotate -500
	}
	{
		map "models/001/teleporter/el_rota.tga"
		blendfunc add
		rgbgen vertex
		tcmod rotate -250
	}
	{
		map "models/001/teleporter/el_basefx2.tga"
		tcmod scale 1 1
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1
	}
	{
		map "models/001/teleporter/el_jumpp.tga"
		blendfunc blend
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/jets/jet_1
{
	surfaceparm trans
	nomipmaps
	cull disable
	{
		map models/mapobjects/jets/jet_1.tga
		blendfunc add
		tcmod scale .5 1
		tcmod scroll 6 0
		rgbgen identity
	}
	{
		map models/mapobjects/jets/jet_2.tga
		blendfunc add
		tcmod scroll 3 -.5
		rgbgen wave inversesawtooth -.3 1.3 0 .5
	}
}

models/mapobjects/jets/jet_as
{
	deformvertexes autosprite2
	deformvertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	nomipmaps
	{
		map models/mapobjects/jets/jet_as.tga
		blendfunc add
		rgbgen identity
	}
}

textures/001/con_gold_ground
{
	qer_editorimage "textures/001/con_gold_ground.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/001/con_gold_ground.tga"
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map "textures/001/tint.tga"
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
}

textures/001/con_icy_ground
{
	qer_editorimage "textures/001/con_icy_ground.tga"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/001/con_icy_ground.tga"
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map "textures/001/tint.tga"
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
}

textures/001/con_lemming_ground
{
	qer_editorimage "textures/001/con_lemming_ground.tga"
	{
		map "textures/001/con_lemming_ground.tga"
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/001/con_metal_wall
{
	qer_editorimage "textures/001/con_metal_wall.tga"
	{
		map "textures/001/con_metal_wall.tga"
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map "textures/001/tint.tga"
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
}

textures/001/con_normal_ground
{
	qer_editorimage "textures/001/con_normal_ground.tga"
	surfaceparm nodamage
	{
		map "textures/001/con_normal_ground.tga"
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/001/con_pad_ground
{
	qer_editorimage "textures/001/con_pad_ground.tga"
	surfaceparm nodamage
	{
		map "textures/001/con_pad_ground.tga"
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/001/misc_ball
{
	qer_editorimage "textures/001/col_blue.tga"
	qer_trans 0.3
	surfaceparm trans
	cull none
	{
		map "textures/001/col_blue.tga"
		blendfunc gl_dst_color gl_one
	}
	{
		map "textures/001/tint.tga"
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
}

textures/001/misc_column_portal
{
	qer_editorimage "textures/001/misc_column_portal.tga"
	qer_trans .5
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map "textures/001/misc_column_portal.tga"
		tcgen environment
		blendfunc gl_one gl_one
		tcmod scroll 0 1
	}
}

textures/001/misc_glass
{
	qer_editorimage "textures/001/col_white.tga"
	qer_trans 0.3
	surfaceparm trans
	surfaceparm slick
	{
		map "textures/001/col_white.tga"
		blendfunc gl_dst_color gl_one
	}
	{
		map "textures/001/tint.tga"
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
}

textures/001/misc_green_water
{
	qer_editorimage "textures/001/misc_green_water.tga"
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map "textures/001/misc_green_water.tga"
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map "textures/001/misc_green_water.tga"
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map "textures/001/misc_green_water.tga"
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
	}
}

textures/001/misc_light
{
	qer_editorimage "textures/001/misc_light.tga"
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap "textures/001/misc_light.tga"
		blendfunc add
		rgbgen wave noise 0.5 0.5 0 20
		tcmod stretch triangle .6 0.1 0 8
	}
}

textures/001/misc_logo
{
	qer_editorimage "textures/001/col_white.tga"
	qer_trans 0.3
	surfaceparm trans
	cull none
	{
		map "textures/001/col_white.tga"
		blendfunc gl_dst_color gl_one
	}
	{
		map "textures/001/tint.tga"
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
}

textures/001/mp_moonwaw
{
	qer_editorimage "env/001/moonwaw_ft.tga"
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 80
	q3map_sun 1 1 1 150 290 40
	skyparms env/001/moonwaw - -
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nodraw
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

